Skip to main content
POST
POST /api/v1/recording/save
Saves a recording session with the provided metadata and configuration.

Authorizations

X-API-Key
string
header
required

Body

application/json
socialRecordingId
string<uuid>
socialId
string<uuid>
userId
string<uuid>
recordingId
string
status
enum<string>
Available options:
PROCESSING,
COMPLETE,
FAILED
name
string
s3Bucket
string
recordingSize
integer
startDateTime
string<date-time>
endDateTime
string<date-time>
processingStartDateTime
string<date-time>
processingEndDateTime
string<date-time>
participants
object[]
user
object

Response

200 - application/json

OK

socialRecordingId
string<uuid>
socialId
string<uuid>
userId
string<uuid>
recordingId
string
status
enum<string>
Available options:
PROCESSING,
COMPLETE,
FAILED
name
string
s3Bucket
string
recordingSize
integer
startDateTime
string<date-time>
endDateTime
string<date-time>
processingStartDateTime
string<date-time>
processingEndDateTime
string<date-time>
participants
object[]
user
object